petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSSundialsSetMaxl

Sets the dimension of the Krylov space used by GMRES in the linear solver in SUNDIALS. SUNDIALS DOES NOT use restarted GMRES so this is the maximum number of GMRES steps that will be used.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetMaxl(TS ts,PetscInt maxl)

Logically Collective on TS

### Input parameters

| ts | - the time-step context
| maxl | - number of direction vectors (the dimension of Krylov subspace).

### Keywords

GMRES

### See Also

TSSundialsGetIterations(), TSSundialsSetType(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), TSSundialsGetIterations(), TSSundialsSetType(), TSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), TSSetExactFinalTime()

Level:advanced
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages